FieldDoc (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: FieldDoc

Package org.apache.lucene.search

# Class FieldDoc

java.lang.Object
org.apache.lucene.search.ScoreDoc
org.apache.lucene.search.FieldDoc

public class FieldDoc extends ScoreDoc
Expert: A ScoreDoc which also contains information about how to sort the referenced document. In addition to the document number and score, this object contains an array of values for the document from the field(s) used to sort. For example, if the sort criteria was to sort by fields "a", "b" then "c", the `fields` object array will have three elements, corresponding respectively to the term values for the document in fields "a", "b" and "c". The class of each element in the array will be either Integer, Float or String depending on the type of values in the terms of each field.

Created: Feb 11, 2004 1:23:38 PM

Since:
  lucene 1.4
See Also:
  - `ScoreDoc`
  - `TopFieldDocs`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Object[]`
  `fields`
  Expert: The values which are used to sort the referenced document.

  ### Fields inherited from class org.apache.lucene.search.ScoreDoc

  `COMPARATOR, doc, score, shardIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldDoc(int doc, float score)`
  Expert: Creates one of these objects with empty sort information.
  `FieldDoc(int doc, float score, Object[] fields)`
  Expert: Creates one of these objects with the given sort information.
  `FieldDoc(int doc, float score, Object[] fields, int shardIndex)`
  Expert: Creates one of these objects with the given sort information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fields

    public Object[] fields
    Expert: The values which are used to sort the referenced document. The order of these will match the original sort criteria given by a Sort object. Each Object will have been returned from the `value` method corresponding FieldComparator used to sort this field.
    See Also:
      - `Sort`
      - `IndexSearcher.search(Query,int,Sort)`

- ## Constructor Details

  - ### FieldDoc

    public FieldDoc(int doc, float score)
    Expert: Creates one of these objects with empty sort information.

  - ### FieldDoc

    public FieldDoc(int doc, float score, Object[] fields)
    Expert: Creates one of these objects with the given sort information.

  - ### FieldDoc

    public FieldDoc(int doc, float score, Object[] fields, int shardIndex)
    Expert: Creates one of these objects with the given sort information.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ScoreDoc`